Skip to main content
POST
/
api
/
organisations
POST /api/organisations
curl --request POST \
  --url https://api.sippet.ai/api/organisations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "owner": {},
      "name": "<string>",
      "plan": "<string>",
      "sip_domain": "<string>"
    },
    "relationships": {},
    "type": "Organisation"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "name": "<string>",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "plan": "<string>",
      "sip_domain": "<string>"
    },
    "relationships": {
      "owner": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "users": {
        "data": [
          {
            "id": "<string>",
            "type": "<string>",
            "meta": {}
          }
        ]
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Organisation": "id,name,plan,sip_domain,owner_id"
}

Body

application/vnd.api+json

Request body for the /organisations operation on Organisation resource

data
object
required

Response

Success

data
object

A "Resource object" representing a Organisation

included
any[]
meta
object